#
# spec file for package postgresql (Version 7.3.10)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake db db-devel gpp libgpp openssl openssl-devel python python-devel readline readline-devel tcl tcl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib db-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool openssl-devel perl python python-devel readline-devel rpm tcl tcl-devel

Name:         postgresql
%{!?python:%define python 1}
%{!?test:%define test 1}
%{!?ssl:%define ssl 1}
%{!?pl:%define pll 1}
%{!?make_check:%define make_check 1}
%ifarch sparc64
%define python 0
%define ssl 0
%endif
%if %(python -c ''; echo $?)
%define python 0
%else
%{expand: %%define python_sitepath %(python -c "import site; print site.sitedirs[0]")}
%{expand: %%define pyver %(python -c "import sys; print sys.version[:3]")}
%endif
%define NOEXEC find -type f -perm +111 | xargs file | awk -F: '$2 !~ "object|script|executable" {print $1}' | xargs chmod a-x
Summary:      PostgreSQL - the Database
Version:      7.3.10
Release:      7
License:      BSD
Group:        Productivity/Databases/Tools
Source0:      postgresql-%{version}.tar.bz2
Source1:      logrotate.postgresql
Source6:      postgresql-README.rpm-dist
Source8:      sysconfig.postgresql
Source9:      postgresql.init
Source15:     postgresql-bashprofile
Source16:     postgresql-README.SuSE
Source20:     postgresql-SECURITY-NOTICE
Source21:     postgresql-CAN-2005-1409-1410-fix.sh
Patch3:       postgresql-regression.patch
Patch4:       postgresql-s390x.patch
Patch6:       postgresql-ppc64.patch
Patch7:       postgresql-plperl.patch
Patch8:       postgresql-lsb.patch
Patch9:       postgresql-fpic.patch
Patch10:      postgresql-tighten.patch
Patch11:      postgresql-x86_64.patch
Patch12:      postgresql-dbase.patch
Patch13:      postgresql-pg_ctl.patch
Patch64:      postgresql-multilib.patch
Buildrequires: perl
BuildPrereq:  python-devel perl tcl /lib/cpp
PreReq:       postgresql-libs
URL:          http://www.postgresql.org/
Obsoletes:    postgresql-clients postgres
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# This is the PostgreSQL Global Development Group Official RPMset spec
# file.  Copyright 2001 Lamar Owen <lamar@postgresql.org>
# <lamar.owen@wgcr.org> and others listed.
#
# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# and others in the Changelog....
#
# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.
#
# On top of this file you can find the default build package list
# macros.  These can be overridden by defining
# on the rpm command line:
# rpm --define 'packagename 1' .... to force the package to build.
# rpm --define 'packagename 0' .... to force the package NOT to build.
#
# The base package, the lib package, the devel package, and the server
# package always get built.

%description
DBMS (DataBase Management System) PostgreSQL is the successor of the
relational database system INGRES. It has been developed at Berkeley,
University of California.

The main advantages of the new system are:

- better support of complex objects;

- improved user-side adaption of data types, operators and access
   methods;

- integration of active databases (alerts and triggers), conclusions
   including forward and backward chaining;

- simplification of dbms code for restore after a crash.

- provision of a design which concatenates the advantages of optical
   disks and workstations which consist of many compound processors
   and customer-specific VLSI chips;

- avoidance of too many changes according to relational model.

The query language for this system is SQL. This system offers you a
wide range of additional features such as transparent history-system,
embedding in your own C-routines, shell scripts and more.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package libs
Summary:      The shared libraries required for any PostgreSQL clients
Group:        Productivity/Databases/Clients
Provides:     libpq.so.2.1 libpq.so pg_ifa pg_lib postgresql-lib
Obsoletes:    pg_ifa pg_lib postgresql-lib
PreReq:       sh-utils fileutils

%description libs
The postgresql-libs package provides the essential shared libraries for
any PostgreSQL client program or interface. You will need to install
this package in order to use any other PostgreSQL package or any
clients that need to connect to a PostgreSQL server.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package server
Summary:      The programs needed to create and run a PostgreSQL server
Group:        Productivity/Databases/Servers
PreReq:       /usr/sbin/useradd /usr/sbin/groupadd /sbin/chkconfig
PreReq:       %insserv_prereq %fillup_prereq
Requires:     postgresql = %version logrotate 
Prereq:       postgresql /usr/bin/strings /bin/sed
Provides:     pg_serv postgres:/usr/lib/pgsql/bin/postmaster
Obsoletes:    pg_serv
%package docs
Summary:      Extra documentation for PostgreSQL
Group:        Productivity/Databases/Tools

%description docs
The postgresql-docs package includes the SGML source for the
documentation as well as the documentation in other formats and some
extra documentation. Install this package if you want to help with the
PostgreSQL documentation project or if you want to generate printed
documentation.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package contrib
Summary:      Contributed source and binaries distributed with PostgreSQL
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}

%description contrib
The postgresql-contrib package includes the contrib tree distributed
with the PostgreSQL tarball.  Selected contrib modules are prebuilt.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.


%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create and
maintain PostgreSQL databases.	PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install postgresql-server
if you want to create and maintain your own PostgreSQL databases and/or
your own PostgreSQL server. You also need to install the postgresql and
postgresql-devel packages.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>

%package devel
Summary:      PostgreSQL development header files and libraries
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}
Obsoletes:    pg_devel
Provides:     pg_devel pg_ifa:/usr/lib/pgsql/bin/ecpg

%description devel
This package contains the header files and libraries needed to compile
C or C++ applications which will directly interact with a PostgreSQL
database management server and the ecpg Embedded C Postgres
preprocessor. You need to install this package if you want to develop
applications which will interact with a PostgreSQL server. If you're
installing postgresql-server, you need to install this package.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%if %python
%package python
Summary:      Development module for Python code to access a PostgreSQL DB
Group:        Productivity/Databases/Clients
Prereq:       python >= 1.5
Requires:     python-egenix-mx-base python >= %pyver, python < %{pyver}.99
Obsoletes:    pg_pyth pygresql
Provides:     pg_pyth

%description python
PostgreSQL is an advanced Object-Relational database management system.
 The postgresql-python package includes a module for developers to use
when writing Python code for accessing a PostgreSQL database.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %test
%package test
Summary:      The test suite distributed with PostgreSQL
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}
Prereq:       postgresql-server = %{version}
Obsoletes:    pg_test
Provides:     pg_test

%description test
PostgreSQL is an advanced Object-Relational database management system.
The postgresql-test package includes the sources and pre-built binaries
of various tests for the PostgreSQL database management system,
including regression tests and benchmarks.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %pll
%package pl
Summary:      The PL/Tcl, PL/Perl, and  PL/Python procedural languages for PostgreSQL
Group:        Productivity/Databases/Servers
Requires:     postgresql-server = %{version}
Obsoletes:    postgresql-plperl
Provides:     postgresql-plperl postgresql-pltcl postgresql-plpython
Provides:     postgresql-tcl:%_libdir/postgresql/pltcl.so

%description pl
This package contains the the PL/Tcl, PL/Perl, and PL/Python procedural
languages for the back-end.  With these modules one can use Perl,
Python, and Tcl to write stored procedures, functions and triggers.

PostgreSQL also offers the builtin procedural language PL/SQL.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%prep
%setup -q -n %{name}-%{version}
%patch3
%patch4
%patch6 -p1
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch64

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal --acdir=config/
autoconf
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
# Strip out -ffast-math from CFLAGS....
CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
export LIBNAME=%{_lib}
./configure \
	--disable-rpath \
	--prefix=/usr \
	--libdir=%_libdir \
%if %python
	--with-python \
%endif
%if %pll
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
%endif
%if %ssl
	--with-openssl \
%endif
	--with-pam \
	--sysconfdir=/etc/pgsql \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=/usr/share/pgsql
make %{?jobs:-j%jobs} all
# Build contrib stuff....
make %{?jobs:-j%jobs} -C contrib clean all
#
# Run the regression tests
#
# contrib/spi needs to be cleaned before and remade afterwards
# because the tests need refint.so and autoinc.so to be 
# more verbose then they are by default.
# 
%if %make_check
TEST_USER=nobody
pushd src/test/regress
make clean all
install -m755 ../../../contrib/spi/*.so .
CHECK_CMD="make check"
# The tests need to be run as non-root user.
if test $UID -eq 0; then
	chown -R $TEST_USER .
	test $UID -eq 0 && SU_CMD="su $TEST_USER -c"
fi
$SU_CMD "$CHECK_CMD" || {
  cat regression.diffs
  exit 1
}
make clean
popd
make -C contrib/spi clean all
%endif
%if %test
	pushd src/test
	make \
	  libdir=%_libdir/pgsql \
	  abs_srcdir=%_libdir/pgsql/test/regress \
	  abs_builddir=%_libdir/pgsql/test/regress \
	  clean all
	popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make -C doc
# man pages....
pushd $RPM_BUILD_ROOT%{_mandir}
tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz
# the postgresql-dump manpage.....
popd
# install dev headers.
make DESTDIR=$RPM_BUILD_ROOT install-all-headers
install -m644 src/Makefile.global $RPM_BUILD_ROOT/usr/include/pgsql
%if %python && 0
	%NOEXEC
%endif
# Fixup more permissions...
find $RPM_BUILD_ROOT%{_mandir} -type f | xargs chmod 0644
chmod +x $RPM_BUILD_ROOT%_libdir/lib*.so.*
# The initscripts....
# install the stuff for LSB compliant SuSE Linux 7.1 and later
for f in /etc/logrotate.d /etc/init.d /var/adm/fillup-templates /usr/sbin
do
	install -d $RPM_BUILD_ROOT/$f
done
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/postgresql
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/etc/init.d/postgresql
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/var/adm/fillup-templates
ln -s ../../etc/init.d/postgresql $RPM_BUILD_ROOT/usr/sbin/rcpostgresql
install -d -m 750 $RPM_BUILD_ROOT/var/lib/pgsql
# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/data
# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/backups
# Move the PL's to the right place
mkdir -p $RPM_BUILD_ROOT%_libdir/pgsql
# postgres' .bash_profile
sed 's,@LIBDIR@,%_libdir,g' %{SOURCE15} > \
	$RPM_BUILD_ROOT/var/lib/pgsql/.bash_profile
%if %test
	# tests. There are many files included here that are unnecessary, but include
	# them anyway for completeness.q
	mkdir -p $RPM_BUILD_ROOT%_libdir/pgsql/test
	cp -a src/test/regress $RPM_BUILD_ROOT%_libdir/pgsql/test
	install -m 0755 config/config.guess $RPM_BUILD_ROOT%_libdir/pgsql
	# already copied in the build section.
	#install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT%_libdir/pgsql/test/regress
	#install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT%_libdir/pgsql/test/regress
	pushd  $RPM_BUILD_ROOT%_libdir/pgsql/test/regress/
	strip *.so
	popd
%endif
# Backup directory for old version binaries
install -d $RPM_BUILD_ROOT%_libdir/pgsql/backup
cp -a %{SOURCE6} README.rpm-dist
cp -a %{SOURCE16} README.SuSE
cp -a %{SOURCE20} SECURITY-NOTICE
cp -a %SOURCE21 %buildroot%_docdir/postgresql/CAN-2005-1409-1410-fix.sh
chmod 755 %buildroot%_docdir/postgresql/CAN-2005-1409-1410-fix.sh
mv $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
# move the contrib tree to the right place after building....
touch flag
sleep 1 # otherwise we have installed files that are not newer than flag
make -C contrib DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/share/doc/packages/postgresql/contrib contrib_doc
find $RPM_BUILD_ROOT -type f -newer flag -printf "/%%P\n" > files.contrib
rm flag
# Symlink libpq.so.2.0 to libpq.so.2.1 for backwards compatibility, until 
# -soname patches are the norm.
#pushd $RPM_BUILD_ROOT%_libdir
#ln -s libpq.so.2 libpq.so.2.0
#popd
# get rid of stuff we don't want to package...
rm -f  %buildroot/usr/bin/pgtclsh
rm -f  %buildroot/%_libdir/libpgtcl.so.2.3
rm -f  %buildroot/%_mandir/man1/pgtclsh*
rm -f  %buildroot/%_mandir/man1/pgtksh*
rm -rf %buildroot/%_mandir/manl

%post libs
%{?run_ldconfig:%run_ldconfig}

%postun libs
%{?run_ldconfig:%run_ldconfig}

%post server
%{?fillup_and_insserv:%fillup_and_insserv -s postgresql START_POSTGRES}

%postun server
%{?restart_on_update:%restart_on_update postgresql}
%{?insserv_cleanup:%insserv_cleanup}
exit 0

%preun server
%{?stop_on_removal:%stop_on_removal postgresql}
exit 0

%pre server
groupadd -g 26 -o -r postgres >/dev/null 2>/dev/null || :
useradd -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres 2>/dev/null || :
# Need to make a backup of the server binary if this is an upgrade.
# It will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.
if [ -f usr/bin/postgres ]
then
  OLD_VERSION=$(strings usr/bin/postgres | 
    /bin/sed -n '/postmaster (PostgreSQL)/s/.* \([0-9]\+\.[0-9]\+\).*/\1/p')
  if [ "$OLD_VERSION" = "" ]
  then
    OLD_VERSION=$(strings usr/bin/postgres |
      /bin/sed -n 's/^PostgreSQL \([0-9]\+\.[0-9]\+\).*/\1/p')
  fi
  MINOR_VERSION=$(echo %version | sed 's/^\([0-9]\+\.[0-9]\+\).*/\1/')
  BACKUP_DIR=usr/%_lib/pgsql/backup/$OLD_VERSION
  if [ "$OLD_VERSION" != "$MINOR_VERSION" -a ! -f "$BACKUP_DIR" ]
  then
    mkdir -p $BACKUP_DIR
    for f in usr/bin/{postmaster,postgres}; do
      test -f $f && cp -a $f $BACKUP_DIR
    done
  fi
fi

%clean
#rm -rf $RPM_BUILD_ROOT
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%doc doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template
%doc README.rpm-dist README.SuSE SECURITY-NOTICE
%doc doc/html
%doc %_mandir/man1/pg_config.1*
%doc %_mandir/man7/*
# command line tools
%_prefix/bin/createdb
%doc %_mandir/man1/createdb.1*
%_prefix/bin/clusterdb
%doc %_mandir/man1/clusterdb.1*
%_prefix/bin/createlang
%doc %_mandir/man1/createlang.1*
%_prefix/bin/createuser
%doc %_mandir/man1/createuser.1*
%_prefix/bin/dropdb
%doc %_mandir/man1/dropdb.1*
%_prefix/bin/droplang
%doc %_mandir/man1/droplang.1*
%_prefix/bin/dropuser
%doc %_mandir/man1/dropuser.1*
%_prefix/bin/pg_dump
%doc %_mandir/man1/pg_dump.1*
%_prefix/bin/pg_dumpall
%doc %_mandir/man1/pg_dumpall.1*
%_prefix/bin/pg_restore
%doc %_mandir/man1/pg_restore.1*
%_prefix/bin/psql
%doc %_mandir/man1/psql.1*
%_prefix/bin/vacuumdb
%doc %_mandir/man1/vacuumdb.1*

%files docs
%defattr(-,root,root)
%doc doc/src/*

%files contrib -f files.contrib
%defattr(-,root,root)
%doc contrib_doc/*
%dir %_libdir/postgresql
%dir %_prefix/share/pgsql
%dir %_prefix/share/pgsql/contrib

%files libs
%defattr(-,root,root)
%_libdir/libpq.so.*
%_libdir/libecpg.so.*

%files server
%defattr(-,root,root)
%config /etc/init.d/postgresql
%config /var/adm/fillup-templates/sysconfig.postgresql
%_prefix/sbin/rcpostgresql
%config(noreplace) /etc/logrotate.d/postgresql
%dir %_libdir/pgsql
%dir %_libdir/pgsql/backup
%dir %_libdir/postgresql
%_libdir/postgresql/plpgsql.so
%_prefix/bin/initdb
%doc %_mandir/man1/initdb.1*
%_prefix/bin/initlocation
%doc %_mandir/man1/initlocation.1*
%_prefix/bin/ipcclean
%doc %_mandir/man1/ipcclean.1*
%_prefix/bin/pg_ctl
%doc %_mandir/man1/pg_ctl.1*
%_prefix/bin/pg_controldata
%doc %_mandir/man1/pg_controldata.1*
%_prefix/bin/pg_resetxlog
%doc %_mandir/man1/pg_resetxlog.1*
%_prefix/bin/pg_encoding
%_prefix/bin/pg_id
%_prefix/bin/postgres
%doc %_mandir/man1/postgres.1*
%_prefix/bin/postmaster
%doc %_mandir/man1/postmaster.1*
%dir %_prefix/share/pgsql
%_prefix/share/pgsql/conversion_create.sql
%_prefix/share/pgsql/pg_hba.conf.sample
%_prefix/share/pgsql/pg_ident.conf.sample
%_prefix/share/pgsql/postgres.bki
%_prefix/share/pgsql/postgres.description
%_prefix/share/pgsql/postgresql.conf.sample
%_prefix/share/pgsql/unknown.pltcl
%_libdir/postgresql/*_and_*.so
%attr(750,postgres,postgres) %dir /var/lib/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql/data
%attr(700,postgres,postgres) %dir /var/lib/pgsql/backups
%attr(640,postgres,postgres) %config(noreplace) /var/lib/pgsql/.bash_profile
%if %pll

%files pl
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/plperl.so
%_libdir/postgresql/plpython.so
%_libdir/postgresql/pltcl.so
/usr/bin/pltcl_delmod
/usr/bin/pltcl_listmod
/usr/bin/pltcl_loadmod
/usr/share/pgsql/unknown.pltcl
%endif

%files devel
%defattr(-,root,root)
%_prefix/include/pgsql
%_prefix/bin/ecpg
%_libdir/lib*.a
%_prefix/bin/pg_config
%_libdir/libpq.so
%_libdir/libecpg.so
%doc %_mandir/man1/ecpg.1*
%if %python

%files python
%defattr(-,root,root)
%doc src/interfaces/python/README src/interfaces/python/tutorial

%python_sitepath/*
%endif
%if %test

%files test
%attr(-,root,root)%dir %_libdir/pgsql
%attr(755,postgres,postgres)%_libdir/pgsql/config.guess
%attr(-,postgres,postgres)%_libdir/pgsql/test
%endif

%changelog -n postgresql
* Mon Jun 06 2005 - max@suse.de
- Added postgresql-CAN-2005-1409-1410-fix.sh for fixing existing
  installations, and referred to it in the SECURITY-NOTICE.
* Tue May 17 2005 - max@suse.de
- Added postgresql-SECURITY-NOTICE to describe the manual actions
  that are needed to apply the bugfixes from 7.3.10 to existing
  installations.
* Tue May 10 2005 - max@suse.de
- New patch release: 7.3.10
- Fixes bug #82869, CAN-2005-1410, and CAN-2005-1409
- Obsoletes postgresql-CAN-2005-0247.patch
* Wed Apr 13 2005 - max@suse.de
- Fixed previous patch.
* Mon Mar 14 2005 - max@suse.de
- Added postgresql-CAN-2005-0247.patch to fix bug #65692.
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0247
* Wed Feb 02 2005 - max@suse.de
- New patch release: 7.3.9. Fixes a security issue with LOAD and
  some other bugs (#50191). See HISTORY for details.
* Fri Dec 17 2004 - max@suse.de
- New patch release: 7.3.8. Fixes several security and data
  corrupton bugs (#47619). See HISTORY for details.
* Tue Sep 23 2003 - max@suse.de
- Fixed version detection in the pre script of the server package.
  (#31570)
- Ignore errors from %%stop_on_removal that may prevent
  uninstallation of postgresql-server (#31607).
* Mon Sep 15 2003 - max@suse.de
- Activated the patch, that fixes dbf2pg (#27427). The patch was
  added to the package before, but accidentally didn't get applied.
- Improved handling of old versions of the backend (#27114).
- Stopping the server before uninstallation and restarting it
  after update (#29038).
* Fri Aug 29 2003 - mcihar@suse.cz
- python bindings require same python version as it was built with
* Thu Aug 14 2003 - max@suse.de
- Added ServiceRestart to sysconfig template.
* Thu Aug 14 2003 - ro@suse.de
- fixed chown usage in init-script
* Mon Aug 04 2003 - max@suse.de
- New version: 7.3.4.
- Adopted postgresql-multilib.patch from the official PostgreSQL
  RPMs. This obsoletes postgresql-lib64.patch.
- Use test-and-set locks for x86_64 instead of slow semaphores.
  (postgresql-x86_64.patch, Bug #27308)
- make use of %%jobs for parallel builds.
- Fix ownership of /etc/logrotate.d/postgresql (Bug #28431).
- Changed the default locale for the server to "C" to avoid a hard
  dependency to glibc-locale (bug #28338).
- Enabled charset conversion for dbf2pg (Bug #27427).
* Wed Jul 16 2003 - meissner@suse.de
- fix hanging builds by another rework of the ppc64
  locking. Apparently we need to do exact stcwx. ; bne ; isync
  sequences to stay correct.
* Tue Jun 24 2003 - meissner@suse.de
- Fixed the ppc/ppc64 locking, isync was at the wrong
  position. Replaced full sync by lwsync. slock_ts can
  be 32bit on ppc64 too, we just use lwarx/stwcx which
  handle 32bit components.
* Tue Jun 03 2003 - max@suse.de
- New version: 7.3.3.
- Remove unpackaged files.
- pg_hba.conf: only allow local connections from the same user
  by default.
* Fri Mar 14 2003 - max@suse.de
- Fixed generation of sql files in contrib, and really install the
  contrib stuff instead of just copying over the source tree
  (Bug #25323, postgresql-contrib.patch).
- Fixed the file-list of the server package.
* Wed Mar 12 2003 - max@suse.de
- Fixed a typo in the init script (Bug #25115).
* Thu Mar 06 2003 - max@suse.de
- Add support for LSB compatible exit codes for start and stop
  to pg_ctl (postgresql-lsb.patch).
- Use pg_ctl instead of startproc/killproc in init script, because
  it waits until the server is completely fired up or shut down.
  (Bug #24395)
- Removed the libpq.so.2.0 link from the package, because it got
  removed by ldconfig after installation anyways (Bug #24557).
* Tue Feb 25 2003 - max@suse.de
- Mark manpages as documentation.
- Create the backup directory during install.
* Mon Feb 24 2003 - max@suse.de
- Make a backup of the server binaries during update, and use the
  old server as long as the data files are still in the old format.
* Thu Feb 06 2003 - max@suse.de
- New patch release 7.3.2 which fixes several serious bugs.
  See HISTORY for details.
* Tue Jan 28 2003 - max@suse.de
- Added metadata for the sysconfig editor.
* Mon Jan 20 2003 - max@suse.de
- New version: 7.3.1
- Removed old update scripts, because they don't work anymore.
* Thu Jan 16 2003 - bg@suse.de
- Changed the expected test results for hppa to the correct files
* Fri Nov 29 2002 - max@suse.de
- New version 7.3.
- Compiling with PAM support.
- Client libraries (perl, tcl, odbc, pgeasy, pq++) have been
  taken out of the PostgreSQL core distribution and will be
  built as separate packages in the future.
- The plperl subpackage has been renamed to pl, and now contains
  PL/Perl, PL/Python, and PL/Tcl.
* Fri Sep 13 2002 - max@suse.de
- Added circle_poly-overrun.patch to fix a couple of
  buffer overruns.
* Thu Sep 12 2002 - max@suse.de
- Corrected symlink /usr/lib/libpq.so.2.0 [#19490].
- Fixed ownership of /var/lib/pgsql [#19523].
* Fri Sep 06 2002 - max@suse.de
- Recovered time stamps of source files and patches.
* Mon Sep 02 2002 - max@suse.de
- Updated to patch release 7.2.2 which fixes some security holes.
- Essential diff between 7.2.1 and 7.2.2 is included.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 19 2002 - kukuk@suse.de
- Fix requires egenix-mx-base -> python-egenix-mx-base
* Fri Aug 16 2002 - ro@suse.de
- don't chmod 644 to directories
* Wed Aug 14 2002 - ro@suse.de
- added "missingok" to logrotate config
* Fri Aug 09 2002 - max@suse.de
- Removed sysconfig from neededforbuild.
- Using x-devel-packages instead of xf86.
* Thu Aug 08 2002 - max@suse.de
- Removed support for older SuSE versions.
- Moved log file cration from %%post to rcpostgresql.
- Changed group for /etc/logrotate.d/postgresql.
* Mon Aug 05 2002 - max@suse.de
- Enabled the plperl subpackage.
* Tue Jul 30 2002 - max@suse.de
- Fixed regression tests for ppc64.
* Fri Jul 12 2002 - max@suse.de
- Re-enabled the regression tests.
- Running test suite as nobody.
- Adjusted ppc and lib64 patch to the scheme of the other
  platform patches.
- Better test-and-set assembler code for s390 and s390x.
- Creating postgres user and group during RPM installation.
* Tue Jun 18 2002 - meissner@suse.de
- use the powerpc assembler tas() for ppc64 too with adjusted assembler
  names.
* Fri May 24 2002 - max@suse.de
- New minor release: 7.2.1
- Temporaryly disabled the regression tests due to changes to
  mktime() that caused some tests to fail.
* Fri May 24 2002 - ke@suse.de
- postgresql-python requires egenix-mx-base (DateTime) [# 14745].
* Wed May 22 2002 - meissner@suse.de
- %%_lib fixes for lib64 architectures. Now fails at the same point as i386.
* Wed Mar 20 2002 - max@suse.de
- Changed postgresql package to PreReq postgresql-libs instead of
  postgresql-lib which is obsolete.
* Fri Mar 08 2002 - poeml@suse.de
- add missing / before %%_lib, fixing the preinstall script of -libs
  subpackage
* Wed Mar 06 2002 - max@suse.de
- Fixed test-and-set assembler code for s390x.
- Made finding of perl and python site-paths more portable.
- Fixed detection of SuSE dist for older releases.
- Some more %%_libdir corrections.
- Using -fPIC for building shared libs on all architectures.
- Leaving out tk and python subpackages if tk and python
  are not OK.
* Mon Mar 04 2002 - max@suse.de
- Fixed creation of pkgIndex.tcl
- Removed some python stuff from the spec file that is now part of
  PostgreSQL's build system.
- Removed unneeded executable permissions from a couple of files.
* Wed Feb 13 2002 - max@suse.de
- added support for logrotate
- changed sysconfig stuff and init script to run on both
  schemes (<=7.3 and >=8.0).
* Tue Feb 05 2002 - max@suse.de
- Updated to 7.2 final.
- See the file /usr/share/doc/packages/postgresql/HISTORY
  for changes and incompatibilities since version 7.1.x.
- Adapted the init script to match the new versions of killproc
  and PostgreSQL.
* Mon Jan 28 2002 - max@suse.de
- Updated to 7.2rc2
- Removed temporary header fix.
- Added a patch for autoconf-2.52 (disabled by derfault).
- Added english version of README.SuSE
* Tue Jan 22 2002 - max@suse.de
- removed os.h. It's not needed anymore.
- fixed locations of internal header files (temporary).
- postgresql-python now obsoletes pygresql.
- updated the files lists.
* Mon Jan 21 2002 - max@suse.de
- New version 7.2b5
* Tue Dec 18 2001 - max@suse.de
- Changed spec file to make use of %%{_libdir} where appropriate.
* Mon Dec 17 2001 - max@suse.de
- Removed the START_POSTGRES variable from the fillup template
  and changed init script, and spec file to the new scheme.
- Moved the remaining variables from /etc/rc.config to
  /etc/sysconfig/postgresql.
* Wed Sep 12 2001 - max@suse.de
- New version (patch release): 7.1.3
  The ChangeLog says:
- Remove unused WAL segements of large transactions (Tom)
- Multiaction rule fix (Tom)
- Pl/pgSQL memory allocation fix (Jan)
- VACUUM buffer fix (Tom)
- Regression test fixes (Tom)
- pg_dump fixes for GRANT/REVOKE/comments on views,
  user-defined types (Tom)
- Fix subselects with DISTINCT ON or LIMIT (Tom)
- BEOS fix
- Disable COPY TO/FROM a view (Tom)
- Cygwin build (Jason Tishler)
- Fixed bug in init script.
  It needed a file that comes only with postgresql-devel
- Better Patch for PgTcl. It now sets the client encoding to
  UNICODE (PostgreSQL's name for UTF-8) for Tcl versions >= 8.1
  instead of using Tcl's conversion functions to get the correct
  string representation.
- Added README.SuSE (only german, so far)
- Some minor typo fixes in the spec file.
* Mon Aug 27 2001 - utuerk@suse.de
- removed postgresql.conf (now provided by susehelp)
* Mon Jul 23 2001 - max@suse.de
- Fixed %%pre and %%post scripts for YaST.
* Thu Jul 19 2001 - max@suse.de
- fixed regression tests for SPARC32.
- fixed init script to warn about incompatible data files.
- added patch for Pgtcl to use UTF8 for internal string
  representation if compiled with Tcl >= 8.1 .
- added pkgIndex.tcl to allow dynamic loading of Pgtcl using
  Tcl's package mechanism.
* Wed Jul 11 2001 - max@suse.de
- fixed regression test to succeed on PPC with glibc-2.2.3 .
* Tue Jul 10 2001 - max@suse.de
- new version: 7.1.2
- packages again based on the official PostgreSQL RPMs.
- architecture patches are no longer needed.
- running the regression tests as part of the build process to
  ensure that only correctly built binaries get packed in.
- new subpackages: contrib, doc
- renamed subpackage lib to libs to conform to the official RPMs
- ToDo: (semi)automatic conversion for updates
  from versions prior 7.1.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 27 2001 - max@suse.de
- updated the init script to be more LSB compliant according to
  the current /etc/init.d/skeleton.
* Thu Apr 12 2001 - max@suse.de
- fix for deprecated declarations in readline 4.2.
- fixed permissons of some shared objects for the backend.
- recovered timestamps of sources.
* Wed Apr 11 2001 - utuerk@suse.de
- added postgresql.conf for susehelp
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 22 2001 - poeml@suse.de
- 7.0.* does not work on PPC unless compiled with -O0 (7.1 will)
* Wed Mar 07 2001 - max@suse.de
- added xshared and xdevel to neededforbuild
  because X is no longer in the default buildsystem.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 24 2001 - max@suse.de
- added missing "Provides:" entries to specfile.
* Mon Jan 15 2001 - max@suse.de
- dropping the locale environment vars from the init script
  as workarround for a locale related bug in the backend.
  It shows up when the regression test runs on a backend that
  has e.g. LC_CTYPE=de_DE .
* Wed Nov 29 2000 - max@suse.de
- new version: 7.0.3
- spec file is based on Lamar Owen's source RPM of
  PostgreSQL-7.0.3 for SuSE Linux 7.0
- renamed the whole package
  postgres -> postgresql
  pg_lib   -> postgresql-lib
  pg_serv  -> postgresql-serv
  pg_devel -> postgresql-devel
  pg_tcl   -> postgresql-tcl
  pg_tk    -> postgresql-tk
  pg_odbc  -> postgresql-odbc
  pg_jdbc  -> postgresql-jdbc
  pg_pyth  -> postgresql-python
  pg_perl  -> postgresql-perl
  pg_test  -> postgresql-test
- renamed some files and scripts from *postgres* to *postgresql*
- moved to the LSB-compliant init scheme
- moved database initialisation from SuSEconfig.postgres
  into the init script
- changed postgresql-python to use Python2.0 instead of 1.5
* Sat Oct 28 2000 - kukuk@suse.de
- Add python-devel to need for build
* Tue Oct 24 2000 - bk@suse.de
- integrated change from max:
- changed /sbin/init.d/postgres and SuSEconfig.postgres
  to work arround YaST that quotes the value of POSTGRES_DATADIR
  in /etc/rc.config when it gets changed.
* Mon Sep 11 2000 - fober@suse.de
- made postgres run&autobuild on s390:
- src/include/port/linux.h, src/include/storage/s_lock.h:
  s390-assembler test-and-set (thanks to Andreas Jaeger)
- src/template/.similar, src/template/linux_s390:
  created linux_s390-Template from linux_ppc.
  TODO: is -O0 really needed?
- regression test passes (with minor deviations in floating point
  arithmetics)
  TODO: the regression test will not run out of the box as we install
  it.  this is the missing piece, either in postgres-source or in
  .spec
  [#] missing files
  cd $BUILD_ROOT/usr/src/packages/BUILD/postgresql-7.0.2/;
  cp -avP src/backend/*.h $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/include $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.port $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.global $RPM_BUILD_ROOT/usr/lib/pgsql
  [#] directory structure
  cd $RPM_BUILD_ROOT/usr/lib/pgsql
  mkdir src
  mv test src
  ln -s src/test .
* Mon Aug 28 2000 - max@suse.de
- changed installation order to fix bug #3802
* Mon Jul 03 2000 - max@suse.de
- Disabled fcntl(F_SETLK) on the postmaster socket to work arround
  a kernel bug in Linux <= 2.2.16.
- New subpackage: pg_lib contains the shared libs for C and C++.
* Thu Jun 29 2000 - schwab@suse.de
- Fix spinlocks for ia64.
- Reenable ia64 patch on the other architectures.
* Wed Jun 28 2000 - max@suse.de
- disabled the ia64 patch when building for other architectures
- database unload+reload on updates works now
- moved some script and config files out of the diff into
  source files of their own.
- template database creation moved from init script into SuSEconfig
- some minor cleanups
* Tue Jun 20 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jun 09 2000 - max@suse.de
- New version: 7.0.2.
- Re-made the whole package based on the original PostgreSQL RPM.
- There is still a little work needed for clean updates from
  PostgreSQL 6.x to 7.0.x
- Heavy testing needed before SuSE Linux 7.0.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building postgres
* Thu Feb 10 2000 - ke@suse.de
- add more source files from the official PostgreSQL package.
- start to apply patches from there.
- start to cleanup the spec file.
- start to resolve bug #1948.
* Wed Feb 09 2000 - ke@suse.de
- add group tag.
- ./configure -> %%build.
- New default for rc.config variable START_POSTGRES ("no").
* Fri Dec 10 1999 - ke@suse.de
- update: version 6.5.3.
- startup script: use -S to remove the socket.
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- postgresql init script: remove the socket in /tmp before trying to
  start the postmaster.
* Thu Jul 29 1999 - ke@suse.de
- update: version 6.5.1.
* Tue Jul 20 1999 - ke@suse.de
- remove MANPATH setting from /etc/postgres.{sh,csh} and from
  /etc/pg_ifa.{sh,csh}.
- provide manpage links at /usr/share/man:
  /usr/lib/pgsql/man/man?/*.?.gz -> /urs/share/man/man?/*.?.pgsql.gz
- now, you'll find all manpage in "pg_ifa".
* Thu Mar 18 1999 - ke@suse.de
- compile an install "spi" (on popular demand...).
* Wed Feb 10 1999 - ke@suse.de
- security fix: don't create pg_pwd with mode 666 (thanks to mt).
* Mon Feb 01 1999 - ke@suse.de
- fix permissions of libs (thanks to mt).
* Fri Jan 08 1999 - ke@suse.de
- update: version 6.4.2.
* Tue Dec 01 1998 - ke@suse.de
- add /etc/profile.d/{postgres,pg_ifa}.csh (thanks to werner).
- new bootscript (thanks to werner).
* Fri Nov 27 1998 - ke@suse.de
- link libpgtcl against libcrypt.
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Fri Oct 30 1998 - ke@suse.de
- update: version 6.4-BETA4.
* Sun Sep 27 1998 - ke@suse.de
- update: version pre6.4 (snapshot 1998-09-27).
- remove pgaccess (it's a separate package now).
- all libraries and binaries are under the separate hierarchy
  /usr/lib/pgsql (on customers' request...).
- provide /etc/profile.d/{postgres,pg_ifa}.sh; .csh files are still
  missing.
* Mon Aug 24 1998 - ke@suse.de
- shut down the postmaster before uninstalling.
* Tue Aug 18 1998 - ke@suse.de
- add pgaccess' GIFs (HTML documentation).
* Sat Jul 25 1998 - ke@suse.de
- Use `-n postgres' to make the `%%post' script available.
* Mon Jul 13 1998 - ke@suse.de
- update pgaccess: version 0.88.
* Thu May 28 1998 - ke@suse.de
- New package split: rip out the base interfaces (libraries and database
  tools); the new package is called pg_ifa (subpackage).
- update pgaccess: version 0.87.
* Fri May 22 1998 - ke@suse.de
- update: version 6.3.2
- package split to ease maintainability and user updates; now, we've the
  following packages:
  postgres : base packages, essential interfaces included (libpq,
  libpq++, libpqtcl and PgAccess).
  pg_datab : initial database (needed only for the first
  installation or in case of major number updates); if
  not installed, the user has to invoke `initdb'
  manually.
  pg_iface : PostgreSQL interfaces (Perl, JDBC, more to come...).
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Feb 11 1998 - fehr@suse.de
- added the perl interface
* Wed Dec 10 1997 - ro@suse.de
- build static and dynamic version of dbbrowser and mpsql
* Wed Dec 03 1997 - ro@suse.de
- fixed /sbin/init.d/postgres (path, db-path, read rc.config)
  moved logfile to /var/log
* Tue Nov 18 1997 - bs@suse.de
- skipped man3/abort.3.gz
* Tue Nov 04 1997 - fehr@suse.de
- changed to version 6.2.1 of the new postgresSQL
- changed to version 1.5 of mpsql
- changed to version 0.2 of AppGEN
- added version 0.9 if dbbrowser
- prepare package for automatic build
- home Directory of postgrs user must now be /var/lib/postgres
- this Change is a major step since postgres95 it is possible
  that some changes are incompatible with the previos postgres
  versions.
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic link in /usr/doc/packages relative
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon May 12 1997 - fehr@suse.de
- added startup-script for /sbin/init.d
- added fillup for /etc/rc.config START_POSTGRES
